﻿@model DatabaseProject.distributor

@{
    ViewBag.Title = "Edit";
    DatabaseProject.ScerpEntities db = new DatabaseProject.ScerpEntities();
    var empQuery2 = from emp in db.person_info
                    select emp;
    List<DatabaseProject.person_info> empList2 = empQuery2.ToList();
}

<div id="page-wrapper" style="min-height: 593px;">
    <div class="row">
        <div class="col-lg-12">
            <h1 class="page-header">Dashboard</h1>
        </div>
    </div>

    <div class="row">
        <div class="col-lg-12">
            @using (Html.BeginForm())
            {
                @Html.AntiForgeryToken()
                @Html.ValidationSummary(true)

                <fieldset>
                    @Html.HiddenFor(model => model.id_distributors)
                    <div class="col-lg-2 control-label">
                        <label for="name">Name</label>
                    </div>
                    <div class="col-lg-10">
                        <input class="form-control" id="name" name="name" type="text" value="4567">
                        <span class="field-validation-valid" data-valmsg-for="name" data-valmsg-replace="true"></span>
                        <br />
                    </div>

                    <div class="col-lg-2 control-label">
                        <label for="description">Description</label>
                    </div>
                    <div class="col-lg-10">
                        <input class="form-control" id="description" name="description" type="text" value="4567">
                        <span class="field-validation-valid" data-valmsg-for="description" data-valmsg-replace="true"></span>
                        <br />
                    </div>

                    <div class="col-lg-2 control-label">
                        <label for="id_contact_person">Contact Person</label>
                    </div>
                    <div class="col-lg-10">
                        <select id="id_contact_person" name="id_contact_person" class="form-control">
                            @{
                foreach (DatabaseProject.person_info temp in empList2)
                {
                    if (temp.id_person == Model.id_contact_person && temp.name == Model.person_info.name)
                    {
                        <option selected="selected" value="@temp.id_person">@temp.name</option>
                    }
                    else
                    {
                        <option value="@temp.id_person">@temp.name</option>
                    }

                }
                            }
                        </select>
                        <span class="field-validation-valid" data-valmsg-for="id_contact_person" data-valmsg-replace="true"></span>
                        <br />
                    </div>

                    <div class="col-lg-10 col-lg-offset-2">
                        <br>
                        <button class="btn btn-default">Cancel</button>
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </div>
                </fieldset>
            }

            <div>
                @Html.ActionLink("Back to List", "Index")
            </div>
        </div>
    </div>
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
